<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Todos</title>
    </head>
    <body>
        {% block content %}
            <main>
                <div>
                    <h1>My Lists</h1>
                    <p>
                        <a href="{% url 'todo_list_create' %}">"Create New Task"</a>
                    </p>
                </div>
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Number of Items</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for item in list %}
                            <tr>
                                <td>
                                    <a href="{% url 'todo_list_detail' item.id %}">{{ item.name }}</a>
                                </td>
                                <td>{{ item.items.all|length }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </main>
        {% endblock content %}
    </body>
</html>
